Bug 443679 - Not able to install Fedora 8 on my pc
Not able to install Fedora 8 on my pc
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 16:07 EDT by Niraj Patel
Modified: 2008-08-06 17:06 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-06 17:06:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niraj Patel 2008-04-22 16:07:03 EDT
anaconda None exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/lvm.py", line 305, in pvcreate
    raise PVCreateError(node)
  File "/usr/lib/anaconda/fsset.py", line 2159, in setupDevice
    lvm.pvcreate(node)
  File "/usr/lib/anaconda/fsset.py", line 1517, in createLogicalVolumes
    entry.device.setupDevice(chroot)
  File "/usr/lib/anaconda/packages.py", line 154, in turnOnFilesystems
    anaconda.id.fsset.createLogicalVolumes(anaconda.rootPath)
  File "/usr/lib/anaconda/dispatch.py", line 203, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1048, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 67, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1075, in handleRenderCallback
    self.currentWindow.renderCallback()
PVCreateError: pvcreate of pv "/dev/sda2" failed
Log:
   Can't open /dev/sda2 exclusively.  Mounted filesystem?

Local variables in innermost frame:
node: /dev/sda2
args: ['pvcreate', '-ff', '-y', '-v', '/dev/sda2']
rc: 5


Anaconda instance, containing members:
rootPath: /mnt/sysimage
rescue_mount: True
intf: InstallInterface instance, containing members:
  intf.ppw: InstallProgressWindow instance, containing members:
    intf.ppw.pixmaps: [progress_first.png]
    intf.ppw.intf: Already dumped
    intf.ppw.adbox: <gtk.EventBox object at 0x939f824 (GtkEventBox at 0x926e0a8)>
    intf.ppw._updateChange: 0.01
    intf.ppw.adpix: <gtk.Image object at 0x939f7fc (GtkImage at 0x940a8e0)>
    intf.ppw._showPercentage: False
    intf.ppw.infolabel: <WrappingLabel object at 0x939f874 (GtkLabel at 0x9271ba8)>
    intf.ppw.ics: InstallControlState instance, containing members:
      intf.ppw.ics.prevEnabled: False
      intf.ppw.ics.cw: InstallControlWindow instance, containing members:
        intf.ppw.ics.cw.handle: 1088
        intf.ppw.ics.cw.mainxml: <glade.XML object at 0x8e7e8c4 (PyGladeXML at
0x8f4f268)>
        intf.ppw.ics.cw.reloadRcQueued: 0
        intf.ppw.ics.cw.currentWindow: Already dumped
        intf.ppw.ics.cw.window: <gtk.Window object at 0x8e7e7fc (GtkWindow at
0x8f5b990)>
        intf.ppw.ics.cw.installFrame: <gtk.Frame object at 0x8e7e89c (GtkFrame
at 0x8ed4cf0)>
        intf.ppw.ics.cw.anaconda: Already dumped
        intf.ppw.ics.cw.rnv: ReleaseNotesViewer instance, containing members:
          intf.ppw.ics.cw.rnv.textWin: <gtk.Window object at 0x8e7e824
(GtkWindow at 0x8f5b830)>
          intf.ppw.ics.cw.rnv.vue: <gtkhtml2.View object at 0x8e7e7ac (HtmlView
at 0x8f35070)>
          intf.ppw.ics.cw.rnv.currentURI: None
          intf.ppw.ics.cw.rnv.topDir: None
          intf.ppw.ics.cw.rnv.doc: <gtkhtml2.Document object at 0x8e7e6e4
(HtmlDocument at 0x8f2d090)>
          intf.ppw.ics.cw.rnv.height: 600
          intf.ppw.ics.cw.rnv.width: 800
          intf.ppw.ics.cw.rnv.opener: FancyURLopener instance, containing members:
            intf.ppw.ics.cw.rnv.opener._URLopener__unlink: <built-in function
unlink>
            intf.ppw.ics.cw.rnv.opener._URLopener__tempfiles: []
            intf.ppw.ics.cw.rnv.opener.cert_file: None
            intf.ppw.ics.cw.rnv.opener.addheaders: [('User-Agent',
'Python-urllib/1.17')]
            intf.ppw.ics.cw.rnv.opener.tries: 0
            intf.ppw.ics.cw.rnv.opener.ftpcache: {}
            intf.ppw.ics.cw.rnv.opener.tempcache: None
            intf.ppw.ics.cw.rnv.opener.auth_cache: {}
            intf.ppw.ics.cw.rnv.opener.key_file: None
            intf.ppw.ics.cw.rnv.opener.proxies: {}
            intf.ppw.ics.cw.rnv.opener.maxtries: 10
          intf.ppw.ics.cw.rnv.anaconda: Already dumped
          intf.ppw.ics.cw.rnv.htmlheader: <html><head><meta
http-equiv="Content-Type" content="text/html; charset=utf-8"></head><body
bgcolor="white"><pre>
          intf.ppw.ics.cw.rnv.htmlfooter: </pre></body></html>
          intf.ppw.ics.cw.rnv.is_showing: False
      intf.ppw.ics.nextEnabled: False
      intf.ppw.ics.grabNext: True
      intf.ppw.ics.title: Installing Packages
    intf.ppw.progress: <gtk.ProgressBar object at 0x939f84c (GtkProgressBar at
0x9271da8)>
  intf.icw: Already dumped
  intf.runres: 800x600
  intf.anaconda: Already dumped
rescue: False
updateSrc: None
methodstr: livecd:///dev/mapper/live-osimg-min
dispatch: <dispatch.Dispatcher object at 0x8e7c64c>
method: LiveCDImageMethod instance, containing members:
  method.intf: Already dumped
  method.tree: None
  method.rootPath: /mnt/sysimage
  method.osimg: //dev/mapper/live-osimg-min
isKickstart: False
id: InstallData instance, containing members:
  id.firewall: Firewall instance, containing members:
    id.firewall.portlist: [22:tcp]
    id.firewall.trustdevs: []
    id.firewall.enabled: 1
  id.anaconda: Already dumped
  id.instProgress: Already dumped
  id.upgradeRoot: None
  id.xsetup: XSetup instance, containing members:
    id.xsetup.skipx: 0
    id.xsetup.xserver: XServer instance, containing members:
      id.xsetup.xserver.videohw: primary: 0
vidCards: [<rhpxl.videocard.VideoCard instance at 0x8d10cac>]
Primary Video Card Info:
device: None
driver : intel
descr : Intel Corporation 82865G Integrated Graphics Controller
vidRam: None

      id.xsetup.xserver.serverflags: [vt6, -config, /tmp/XConfig.test,
-extension, Composite, -s, 1440, -dpms, -v, -ac, -nolisten, tcp]
      id.xsetup.xserver.resolution: 800x600
      id.xsetup.xserver.root: /
      id.xsetup.xserver.hwstate: XF86HardwareState instance, containing members:
        id.xsetup.xserver.hwstate.videocard_PCIFn: None
        id.xsetup.xserver.hwstate.monitor: monName: None
monID: Unprobed Monitor
monHoriz: None
monVert: None
physicalWidth: 0
physicalHeight: 0

        id.xsetup.xserver.hwstate.config_resolutions: []
        id.xsetup.xserver.hwstate.videocard_name: Intel Corporation 82865G
Integrated Graphics Controller
        id.xsetup.xserver.hwstate.monitor_name: Unknown monitor
        id.xsetup.xserver.hwstate.video_ram: 0
        id.xsetup.xserver.hwstate.videocard: Already dumped
        id.xsetup.xserver.hwstate.videocard_driver: intel
        id.xsetup.xserver.hwstate.videocard_options: []
        id.xsetup.xserver.hwstate.all_resolutions: [640x480, 800x480, 800x512,
800x600, 848x480, 854x480, 1024x600, 1024x768, 1152x768, 1152x864, 1200x900,
1280x720, 1280x800, 1280x854, 1280x960, 1280x1024, 1360x768, 1400x900,
1400x1050, 1440x900, 1600x1024, 1600x1200, 1680x1050, 1920x1080, 1920x1200,
1920x1440, 2048x1536, 2560x1600]
        id.xsetup.xserver.hwstate.hsync: 31.5-37.9
        id.xsetup.xserver.hwstate.vsync: 50-70
        id.xsetup.xserver.hwstate.probed_video_ram: 0
        id.xsetup.xserver.hwstate.videocard_PCIBus: None
        id.xsetup.xserver.hwstate.colordepth: 24
        id.xsetup.xserver.hwstate.videocard_PCIDev: None
        id.xsetup.xserver.hwstate.resolution: 800x600
        id.xsetup.xserver.hwstate.dri_enabled: 0
        id.xsetup.xserver.hwstate.xconfig: None
      id.xsetup.xserver.monitorhw: Already dumped
      id.xsetup.xserver.keyboard: Keyboard instance, containing members:
        id.xsetup.xserver.keyboard.info: {'KEYBOARDTYPE': pc, 'KEYTABLE': us}
        id.xsetup.xserver.keyboard.type: PC
        id.xsetup.xserver.keyboard.beenset: 1
        id.xsetup.xserver.keyboard._mods: KeyboardModels instance, containing
members:
      id.xsetup.xserver.mousehw: FULLNAME="Generic - 3 Button Mouse (PS/2)"
MOUSETYPE="imps2"
XEMU3="no"
XMOUSETYPE="IMPS/2"

      id.xsetup.xserver.defaultdepth: 24
      id.xsetup.xserver.logfile: /dev/null
      id.xsetup.xserver.config: None
      id.xsetup.xserver.display: :9
    id.xsetup.anaconda: Already dumped
  id.keyboard: Already dumped
  id.timezone: Timezone instance, containing members:
    id.timezone.utc: True
    id.timezone.arc: 0
    id.timezone.tz: America/New_York
  id.mouse: Already dumped
  id.zfcp: ZFCP instance, containing members:
    id.zfcp.hasReadConfig: True
    id.zfcp.fcpdevs: []
  id.upgrade: None
  id.monitor: Already dumped
  id.iscsi: <iscsi.iscsi object at 0x8e7c1cc>
  id.methodstr: livecd:///dev/mapper/live-osimg-min
  id.fsset: FileSystemSet instance, containing members:
    id.fsset.messageWindow: <bound method InstallInterface.messageWindow of
<gui.InstallInterface instance at 0x8d2418c>>
    id.fsset.volumesCreated: 0
    id.fsset.progressWindow: <bound method InstallInterface.progressWindow of
<gui.InstallInterface instance at 0x8d2418c>>
    id.fsset.migratedfs: 0
    id.fsset.waitWindow: <bound method InstallInterface.waitWindow of
<gui.InstallInterface instance at 0x8d2418c>>
    id.fsset.entries: [fsentry -- device: VolGroup00/LogVol00   mountpoint: /
  fsystem: ext3 format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: sda1   mountpoint: /boot
  fsystem: ext3 format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: shm   mountpoint: /dev/shm
  fsystem: tmpfs format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: devpts   mountpoint: /dev/pts
  fsystem: devpts format: 0
  ismounted: 0  options: 'gid=5,mode=620'
  bytesPerInode: 4096 label: None

, fsentry -- device: sys   mountpoint: /sys
  fsystem: sysfs format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: proc   mountpoint: /proc
  fsystem: proc format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: sda2   mountpoint: None
  fsystem: physical volume (LVM) format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: VolGroup00/LogVol01   mountpoint: swap
  fsystem: swap format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: VolGroup00   mountpoint: None
  fsystem: volume group (LVM) format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

]
    id.fsset.mountcount: 0
  id.desktop: Desktop instance, containing members:
    id.desktop.info: {}
    id.desktop.runlevel: 3
  id.rootParts: None
  id.x_already_set: 1
  id.backend: LiveCDCopyBackend instance, containing members:
    id.backend.modeText: 
    id.backend.instPath: /mnt/sysimage
    id.backend.supportsPackageSelection: False
    id.backend.skipFormatRoot: True
    id.backend.instLog: None
    id.backend.supportsUpgrades: False
    id.backend.method: Already dumped
  id.firstboot: 0
  id.diskset: DiskSet instance, containing members:
    id.diskset.initializedDisks: {'sda': True}
    id.diskset.disks: {'sda': <PedDisk object at 0x8b8ebd8>}
    id.diskset.anaconda: Already dumped
    id.diskset.onlyPrimary: None
  id.users: None
  id.displayMode: g
  id.auth: --enableshadow --enablemd5
  id.ksdata: None
  id.bootloader: x86BootloaderInfo instance, containing members:
    id.bootloader.doUpgradeOnly: 0
    id.bootloader.above1024: 0
    id.bootloader.defaultDevice: mbr
    id.bootloader.pure: None
    id.bootloader.serialDevice: None
    id.bootloader.args: KernelArguments instance, containing members:
      id.bootloader.args.args: 
    id.bootloader.kernelLocation: /boot/
    id.bootloader.device: sda
    id.bootloader.configfile: /etc/lilo.conf
    id.bootloader.kickstart: 0
    id.bootloader.serialOptions: None
    id.bootloader.useGrubVal: 1
    id.bootloader._drivelist: [sda]
    id.bootloader.images: BootImages instance, containing members:
      id.bootloader.images.default: VolGroup00/LogVol00
      id.bootloader.images.images: {'VolGroup00/LogVol00': ('linux', 'Fedora',
'ext3')}
    id.bootloader.serial: 0
    id.bootloader.password: None
    id.bootloader.forceLBA32: 0
  id.extraModules: []
  id.network: Network instance, containing members:
    id.network.hostname: localhost.localdomain
    id.network.overrideDHCPhostname: 0
    id.network.netdevices: {'eth0': DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:13:20:72:74:0B
ONBOOT=yes

}
    id.network.primaryNS: None
    id.network.firstnetdevice: eth0
    id.network.isConfigured: 0
    id.network.domains: []
    id.network.secondaryNS: None
    id.network.gateway: None
  id.instClass: <installclass.DefaultInstall object at 0x8a522ec>
  id.floppyDevice: fd0
  id.partitions: Partitions instance, containing members:
    id.partitions.useFdisk: 0
    id.partitions.useAutopartitioning: 1
    id.partitions.autoClearPartType: 0
    id.partitions.nextUniqueID: 8
    id.partitions.reinitializeDisks: 0
    id.partitions.autoClearPartDrives: [sda]
    id.partitions.zeroMbr: 0
    id.partitions.isKickstart: 0
    id.partitions.requests: [New Part Request -- mountpoint: /boot uniqueID: 6
  type: ext3  format: 1 
  device: sda1 drive: ['sda']  primary: None
  size: 200  grow: 0  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint: /  uniqueID: 5
  type: ext3  format: 1
  size: 75040  lvname: LogVol00  volgroup: 4
  bytesPerInode: 4096  options: 'None'
, New Part Request -- mountpoint: None uniqueID: 3
  type: physical volume (LVM)  format: 1 
  device: sda2 drive: ['sda']  primary: None
  size: 0  grow: 1  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint: None  uniqueID: 7
  type: swap  format: 1
  size: 1024  lvname: LogVol01  volgroup: 4
  bytesPerInode: 4096  options: 'None'
, VG Request -- name: VolGroup00  uniqueID: 4
  format: 1 pesize: 32768  
  physvols: [3]
]
    id.partitions.autoPartitionRequests: [New Part Request -- mountpoint: None
uniqueID: None
  type: physical volume (LVM)  format: 1 
  device: None drive: None  primary: None
  size: 0  grow: 1  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, VG Request -- name: lvm  uniqueID: None
  format: 1 pesize: 32768  
  physvols: []
, LV Request -- mountpoint: /  uniqueID: None
  type: ext3  format: 1
  size: 1024  lvname: LogVol00  volgroup: lvm
  bytesPerInode: 4096  options: 'None'
, New Part Request -- mountpoint: /boot uniqueID: None
  type: ext3  format: 1 
  device: None drive: None  primary: None
  size: 200  grow: 0  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint: None  uniqueID: None
  type: swap  format: 1
  size: 512  lvname: LogVol01  volgroup: lvm
  bytesPerInode: 4096  options: 'None'
]
    id.partitions.deletes: [drive: sda  start: 63  end: 401624
, drive: sda  start: 401625  end: 156248189
]
  id.isHeadless: 0
  id.videocard: Already dumped
  id.instLanguage: Language instance, containing members:
    id.instLanguage.targetLang: None
    id.instLanguage.default: en_US.UTF-8
    id.instLanguage.displayMode: g
    id.instLanguage.current: en_US.UTF-8
  id.security: Security instance, containing members:
    id.security.selinux: 1
  id.upgradeSwapInfo: None
dir: 1
backend: Already dumped


/tmp/anaconda.log:
12:59:23 INFO    : using only installclass _Fedora
12:59:24 INFO    : anaconda called with cmdline = ['/usr/sbin/anaconda',
'--method=livecd:///dev/mapper/live-osimg-min', '--lang', 'en_US.UTF-8']
12:59:24 INFO    : Display mode = g
12:59:24 INFO    : Method = livecd:///dev/mapper/live-osimg-min
12:59:24 WARNING : no floppy devices found but we'll try fd0 anyway
12:59:27 INFO    : Starting graphical installation...
12:59:28 INFO    : Detected 512M of memory
12:59:28 INFO    : Swap attempt of 512M to 1024M
12:59:28 WARNING : step installtype does not exist
12:59:28 WARNING : step complete does not exist
12:59:30 INFO    : moving (1) to step welcome
13:07:32 INFO    : moving (1) to step keyboard
13:20:54 INFO    : moving (1) to step partitionobjinit
13:20:54 INFO    : no /tmp/fcpconfig; not configuring zfcp
13:20:54 DEBUG   : starting mpaths
13:20:54 DEBUG   : self.driveList(): ['sda']
13:20:54 DEBUG   : DiskSet.skippedDisks: []
13:20:54 DEBUG   : DiskSet.skippedDisks: []
13:20:54 DEBUG   : starting all mpaths on drives ['sda']
13:20:54 DEBUG   : scanning for multipath on drives ['sda']
13:20:55 WARNING : /usr/lib/anaconda/dmraid.py:247: UserWarning: device node
created in /tmp
  isys.makeDevInode(d, dp)

13:20:55 DEBUG   : loading bdevid modules from:
'/tmp/updates/bdevid/:/mnt/source/RHupdates/bdevid/:/lib/bdevid/:/usr/lib/bdevid/'
13:20:55 DEBUG   : mpaths: []
13:20:55 DEBUG   : done starting mpaths.  Drivelist: ['sda']
13:20:55 DEBUG   : starting dmraids
13:20:55 DEBUG   : self.driveList(): ['sda']
13:20:55 DEBUG   : DiskSet.skippedDisks: []
13:20:55 DEBUG   : DiskSet.skippedDisks: []
13:20:55 DEBUG   : starting all dmraids on drives ['sda']
13:20:55 DEBUG   : scanning for dmraid on drives ['sda']
13:20:55 WARNING : /usr/lib/anaconda/dmraid.py:129: UserWarning: device node
created in /tmp
  isys.makeDevInode(d, dp)

13:20:56 DEBUG   : done starting dmraids.  Drivelist: ['sda']
13:20:56 DEBUG   : adding drive sda to disk list
13:20:56 WARNING : /usr/lib/anaconda/isys.py:873: UserWarning: device node
created in /tmp
  makeDevInode(device, "/tmp/disk")

13:20:56 WARNING : /usr/lib/anaconda/isys.py:864: UserWarning: device node
created in /tmp
  makeDevInode(device, "/tmp/disk")

13:20:57 WARNING : /usr/lib/anaconda/raid.py:68: UserWarning: device node
created in /tmp
  isys.makeDevInode(d, "/tmp/" + d)

13:20:58 INFO    : sr0 is a protected partition
13:20:58 INFO    : no request, probably a removable drive
13:20:58 INFO    : moving (1) to step parttype
13:22:18 INFO    : moving (1) to step autopartitionexecute
13:22:19 DEBUG   : adding drive sda to disk list
13:22:19 DEBUG   : used space is 1536
13:22:19 DEBUG   : actual space is 76064
13:22:19 DEBUG   : used space is 2048
13:22:19 DEBUG   : actual space is 76064
13:22:19 DEBUG   : used space is 76064
13:22:19 DEBUG   : actual space is 76064
13:22:19 DEBUG   : used space is 76064
13:22:19 DEBUG   : actual space is 76064
13:22:19 INFO    : moving (1) to step partitiondone
13:22:19 INFO    : moving (1) to step bootloadersetup
13:22:19 INFO    : moving (1) to step networkdevicecheck
13:22:19 INFO    : moving (1) to step network
13:22:24 INFO    : moving (1) to step timezone
13:22:33 INFO    : moving (1) to step accounts
13:22:35 INFO    : moving (-1) to step timezone
13:22:36 INFO    : moving (1) to step accounts
13:22:48 INFO    : moving (1) to step reposetup
13:22:48 INFO    : moving (1) to step basepkgsel
13:22:48 INFO    : moving (1) to step postselection
13:22:48 INFO    : moving (1) to step confirminstall
13:22:49 INFO    : moving (1) to step install
13:22:50 INFO    : moving (1) to step enablefilesystems
13:22:50 INFO    : disk.commit() for /dev/sda
13:22:50 DEBUG   : adding drive sda to disk list
13:22:50 CRITICAL: anaconda None exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/lvm.py", line 305, in pvcreate
    raise PVCreateError(node)
  File "/usr/lib/anaconda/fsset.py", line 2159, in setupDevice
    lvm.pvcreate(node)
  File "/usr/lib/anaconda/fsset.py", line 1517, in createLogicalVolumes
    entry.device.setupDevice(chroot)
  File "/usr/lib/anaconda/packages.py", line 154, in turnOnFilesystems
    anaconda.id.fsset.createLogicalVolumes(anaconda.rootPath)
  File "/usr/lib/anaconda/dispatch.py", line 203, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1048, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 67, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1075, in handleRenderCallback
    self.currentWindow.renderCallback()
PVCreateError: pvcreate of pv "/dev/sda2" failed
Log:
   Can't open /dev/sda2 exclusively.  Mounted filesystem?

14:51:33 INFO    : using only installclass _Fedora
14:51:34 INFO    : anaconda called with cmdline = ['/usr/sbin/anaconda',
'--method=livecd:///dev/mapper/live-osimg-min', '--lang', 'en_US.UTF-8']
14:51:34 INFO    : Display mode = g
14:51:34 INFO    : Method = livecd:///dev/mapper/live-osimg-min
14:51:34 WARNING : no floppy devices found but we'll try fd0 anyway
14:51:37 INFO    : Starting graphical installation...
14:51:38 INFO    : Detected 512M of memory
14:51:38 INFO    : Swap attempt of 512M to 1024M
14:51:38 WARNING : step installtype does not exist
14:51:38 WARNING : step complete does not exist
14:51:39 INFO    : moving (1) to step welcome
14:51:48 INFO    : moving (1) to step keyboard
14:51:51 INFO    : moving (1) to step partitionobjinit
14:51:51 INFO    : no /tmp/fcpconfig; not configuring zfcp
14:51:51 DEBUG   : starting mpaths
14:51:51 DEBUG   : self.driveList(): ['sda']
14:51:51 DEBUG   : DiskSet.skippedDisks: []
14:51:51 DEBUG   : DiskSet.skippedDisks: []
14:51:51 DEBUG   : starting all mpaths on drives ['sda']
14:51:51 DEBUG   : scanning for multipath on drives ['sda']
14:51:51 WARNING : /usr/lib/anaconda/dmraid.py:247: UserWarning: device node
created in /tmp
  isys.makeDevInode(d, dp)

14:51:51 DEBUG   : loading bdevid modules from:
'/tmp/updates/bdevid/:/mnt/source/RHupdates/bdevid/:/lib/bdevid/:/usr/lib/bdevid/'
14:51:51 DEBUG   : mpaths: []
14:51:51 DEBUG   : done starting mpaths.  Drivelist: ['sda']
14:51:51 DEBUG   : starting dmraids
14:51:51 DEBUG   : self.driveList(): ['sda']
14:51:51 DEBUG   : DiskSet.skippedDisks: []
14:51:51 DEBUG   : DiskSet.skippedDisks: []
14:51:51 DEBUG   : starting all dmraids on drives ['sda']
14:51:51 DEBUG   : scanning for dmraid on drives ['sda']
14:51:51 WARNING : /usr/lib/anaconda/dmraid.py:129: UserWarning: device node
created in /tmp
  isys.makeDevInode(d, dp)

14:51:51 DEBUG   : done starting dmraids.  Drivelist: ['sda']
14:51:51 DEBUG   : adding drive sda to disk list
14:51:52 WARNING : /usr/lib/anaconda/isys.py:873: UserWarning: device node
created in /tmp
  makeDevInode(device, "/tmp/disk")

14:51:52 INFO    : lv /dev/sda3/ open failed, attr is  No such device or address
14:51:52 WARNING : /usr/lib/anaconda/raid.py:68: UserWarning: device node
created in /tmp
  isys.makeDevInode(d, "/tmp/" + d)

14:51:52 INFO    : sr0 is a protected partition
14:51:52 INFO    : no request, probably a removable drive
14:51:52 INFO    : moving (1) to step parttype
14:52:15 INFO    : moving (1) to step autopartitionexecute
14:52:15 DEBUG   : adding drive sda to disk list
14:52:15 DEBUG   : used space is 1536
14:52:15 DEBUG   : actual space is 76064
14:52:15 DEBUG   : used space is 51200
14:52:15 DEBUG   : actual space is 76064
14:52:15 DEBUG   : used space is 51712
14:52:15 DEBUG   : actual space is 76064
14:52:15 DEBUG   : used space is 76064
14:52:15 DEBUG   : actual space is 76064
14:52:15 DEBUG   : used space is 76064
14:52:15 DEBUG   : actual space is 76064
14:52:15 DEBUG   : used space is 76064
14:52:15 DEBUG   : actual space is 76064
14:52:15 INFO    : moving (1) to step partition
14:52:52 INFO    : moving (1) to step partitiondone
14:52:52 INFO    : moving (1) to step bootloadersetup
14:52:52 INFO    : moving (1) to step bootloader
14:52:53 INFO    : moving (-1) to step bootloadersetup
14:52:53 INFO    : moving (-1) to step partitiondone
14:52:53 WARNING : getting self.dev more than once for VG Request -- name:
VolGroup00  uniqueID: 4
  format: 1 pesize: 32768  
  physvols: [3]
14:52:53 INFO    : moving (-1) to step partition
14:52:55 INFO    : moving (1) to step partitiondone
14:52:55 WARNING : getting self.dev more than once for VG Request -- name:
VolGroup00  uniqueID: 4
  format: 1 pesize: 32768  
  physvols: [3]
14:52:55 INFO    : moving (1) to step bootloadersetup
14:52:55 INFO    : moving (1) to step bootloader
14:52:59 INFO    : moving (1) to step networkdevicecheck
14:52:59 INFO    : moving (1) to step network
14:53:00 INFO    : moving (1) to step timezone
14:53:02 INFO    : moving (1) to step accounts
14:53:11 INFO    : moving (1) to step reposetup
14:53:11 INFO    : moving (1) to step basepkgsel
14:53:11 INFO    : moving (1) to step postselection
14:53:11 INFO    : moving (1) to step confirminstall
14:53:12 INFO    : moving (1) to step install
14:53:12 INFO    : moving (1) to step enablefilesystems
14:53:12 INFO    : disk.commit() for /dev/sda
14:53:13 DEBUG   : adding drive sda to disk list


/tmp/lvmout:
  Can't open /dev/sda2 exclusively.  Mounted filesystem?
Comment 1 Niraj Patel 2008-04-22 16:11:03 EDT
I made one Fedora 8 cd with .iso image.
I rebooted pc from this cd and also boot up from the cd. Now as this is not
istalled on my pc, I tried to install this fedora 8 on my pc using Fedora
installer(available on desktop by default). 
I did all paritition configuration and than when i started installation, I gave
below error message.

Thanks
----Niraj Patel
Comment 2 Andy Lindeberg 2008-06-03 11:53:38 EDT
Have you tried installing F9?

Note You need to log in before you can comment on or make changes to this bug.